Subject: bug#57804: An infinite loop in a `fontify-region' function causes Emacs to hang indefinitely

From: Eli Zaretskii <[email-masked]>
Date: Thu, 15 Sep 2022 22:16:24 +0300

> Cc: Lars Ingebrigtsen <[email-masked]>, [email-masked]
> From: Paul Pogonyshev <[email-masked]>
> Date: Thu, 15 Sep 2022 20:49:17 +0200
> 
> > already told you thrice that a
> > simple way to fix your problem is to set long-line-threshold to a larger
> > value (or to nil).
> 
> Thanks, I added  `(setf long-line-threshold nil)' to Emacs startup configuration
> file a couple of days before. But unless I'm missing something, this is not a
> fix, only a workaround.

What do you mean by ":workaround"?  Doing that disables the feature
which you don't want, so it fits the definition of "solution" in my
book.

> The variable is not buffer-local, so I cannot change it
> in the mode, only as my personal setting.

Every variable can be given a local value by using setq-local.  Did
you try that?  If you did, and it didn't work, please show a recipe to
reproduce this problem.